Next: lower, Previous: grab, Up: Control [Contents]

### 3.8 tk-listbox-single-select

tk-listbox-single-select \- Allow only one selected element in listbox(es)

#### Synopsis

tk-listbox-single-select arg ?arg arg ...?

#### Description

This command is a Tcl procedure provided as part of the Tk script library. It takes as arguments the path names of one or more listbox widgets, or the value Listbox. For each named widget, tk-listbox-single-select modifies the bindings of the widget so that only a single element may be selected at a time (the normal configuration allows multiple elements to be selected). If the keyword Listbox is among the window arguments, then the class bindings for listboxes are changed so that all listboxes have the one-selection-at-a-time behavior.

#### Keywords

listbox, selection